scala.compat
class StringBuilder

[source: `scala/compat/StringBuilder.scala`]

`final` `class` StringBuilder(str : StringBuffer)
  `extends` AnyRef

Additional Constructor Summary
`def` | this : StringBuilder
`def` | this (s : String) : StringBuilder
`def` | this (n : Int) : StringBuilder

Method Summary
`def` | append (x : Char) : StringBuilder
`def` | append (x : Array[Char], start : Int, length : Int) : StringBuilder
`def` | append (x : Float) : StringBuilder
`def` | append (x : String) : StringBuilder
`def` | append (x : Int) : StringBuilder
`def` | append (x : Any) : StringBuilder
`def` | append (x : Boolean) : StringBuilder
`def` | append (x : Long) : StringBuilder
`def` | append (x : Byte) : StringBuilder
`def` | append (x : Short) : StringBuilder
`def` | append (x : Array[Char]) : StringBuilder
`def` | append (x : Double) : StringBuilder
`def` | charAt (i : Int) : Char
`def` | insert (at : Int, x : Short) : StringBuilder
`def` | insert (at : Int, x : String) : StringBuilder
`def` | insert (at : Int, x : Any) : StringBuilder
`def` | insert (at : Int, x : Double) : StringBuilder
`def` | insert (at : Int, x : Array[Char], start : Int, length : Int) : StringBuilder
`def` | insert (at : Int, x : Int) : StringBuilder
`def` | insert (at : Int, x : Boolean) : StringBuilder
`def` | insert (at : Int, x : Char) : StringBuilder
`def` | insert (at : Int, x : Array[Char]) : StringBuilder
`def` | insert (at : Int, x : Long) : StringBuilder
`def` | insert (at : Int, x : Float) : StringBuilder
`def` | insert (at : Int, x : Byte) : StringBuilder
`def` | length : Int
`def` | setCharAt (index : Int, c : Char) : Unit
`def` | setLength (i : Int) : Unit
`override def` | toString : String

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : StringBuilder

`` `def` this(n : Int) : StringBuilder

`` `def` this(s : String) : StringBuilder

Method Details

`` `def` charAt(i : Int) : Char

`` `def` setCharAt(index : Int, c : Char) : Unit

`` `def` append(x : Any) : StringBuilder

`` `def` append(x : Boolean) : StringBuilder

`` `def` append(x : Byte) : StringBuilder

`` `def` append(x : Short) : StringBuilder

`` `def` append(x : Char) : StringBuilder

`` `def` append(x : Int) : StringBuilder

`` `def` append(x : Long) : StringBuilder

`` `def` append(x : Float) : StringBuilder

`` `def` append(x : Double) : StringBuilder

`` `def` append(x : String) : StringBuilder

`` `def` append(x : Array[Char]) : StringBuilder

`` `def` append(x : Array[Char], start : Int, length : Int) : StringBuilder

`` `def` insert(at : Int, x : Any) : StringBuilder

`` `def` insert(at : Int, x : Boolean) : StringBuilder

`` `def` insert(at : Int, x : Byte) : StringBuilder

`` `def` insert(at : Int, x : Short) : StringBuilder

`` `def` insert(at : Int, x : Char) : StringBuilder

`` `def` insert(at : Int, x : Int) : StringBuilder

`` `def` insert(at : Int, x : Long) : StringBuilder

`` `def` insert(at : Int, x : Float) : StringBuilder

`` `def` insert(at : Int, x : Double) : StringBuilder

`` `def` insert(at : Int, x : String) : StringBuilder

`` `def` insert(at : Int, x : Array[Char]) : StringBuilder

`` `def` insert(at : Int, x : Array[Char], start : Int, length : Int) : StringBuilder

`` `def` length : Int

`` `def` setLength(i : Int) : Unit

`override` `def` toString : String